unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,UDrawLine, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Panel1: TPanel;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
    FDrawLine:TDrawLine;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.Button1Click(Sender: TObject);
begin
  Form1.Canvas.MoveTo(0,0);
  Form1.Canvas.LineTo(100,100);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  FDrawLine.LinkControl:=Panel1;
  with FDrawLine.Lines.Add do
  begin
    FromX:=0;
    FromY:=0;
    ToX:=100;
    ToY:=100;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FDrawLine:=TDrawLine.Create(Self);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  if Assigned(FDrawLine) then
    FreeAndNil(FDrawLine);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  FDrawLine.DrawLines;
end;

end.
